package com.ejie.y42b.control;

import java.util.Properties;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

/**
 * * CategoriaController  
 * 
 *  
 */

@Controller
@RequestMapping(value = "/inicio")
public class InicioController {

	@Autowired
	private Properties appConfiguration;

	/**
	 * Method 'getCreateForm'.
	 * 
	 * @param model
	 *            Model
	 * @return String
	 */
	@RequestMapping(value = "maint", method = RequestMethod.GET)
	public ModelAndView getCreateForm(Model model) {
		model.addAttribute("defaultLanguage",
				appConfiguration.get("y42bVistaWar.default.language"));
		model.addAttribute("defaultLayout",
				appConfiguration.get("y42bVistaWar.default.layout"));
		return new ModelAndView("inicio", "model", model);
	}

	
}
